Package com.ads.api.beans.bgm

# Class Catalog

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.Catalog

public class Catalog extends Node
This class provides some beans control methods related to Catalog such as catalogId, catalogName, parentCatalogId in which it is present and its related Audit Specifications.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Catalog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory details of the catalog.
  `List<BusinessObject>`
  `getBusinessObjects()`
  `int`
  `getCatalogId()`
  Returns the catalog Id in which the Business Term is present.
  `String`
  `getCatalogName()`
  Returns the catalog Name.
  `int`
  `getCatalogTypeId()`
  Returns the catalog type id.
  `String`
  `getDescription()`
  Returns the description of the catalog.
  `Map<String,Object>`
  `getFields()`
  Returns the fields(extended properties) of the business object
  `Object`
  `getFieldValue(String name)`
  Return the field value(extended property) of the business object
  `int`
  `getParentCatalogId()`
  Returns the parent catalog id.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Sets the auditHistory details as specified.
  `void`
  `setBusinessObjects(List<BusinessObject> businessObjects)`
  `void`
  `setCatalogId(int catalogId)`
  Sets the catalog Id as specified.
  `void`
  `setCatalogName(String catalogName)`
  Sets the catalog Name as specified.
  `void`
  `setCatalogTypeId(int catalogTypeId)`
  Sets the catalog type id as specified.
  `void`
  `setDescription(String description)`
  Sets the description of the catalog as specified.
  `void`
  `setFields(Map<String,Object> fields)`
  Sets the fields(extended properties) of the business object.
  `void`
  `setFieldValue(String name, Object value)`
  Sets the field value(extended property) of the business object as specified.
  `void`
  `setParentCatalogId(int parentCatalogId)`
  Sets the parent catalog id as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Catalog

    public Catalog()

- ## Method Details

  - ### getCatalogId

    public int getCatalogId()
    Returns the catalog Id in which the Business Term is present.
    Returns:
      catalogId int

  - ### setCatalogId

    public void setCatalogId(int catalogId)
    Sets the catalog Id as specified.
    Parameters:
      `catalogId` - int

  - ### getParentCatalogId

    public int getParentCatalogId()
    Returns the parent catalog id.
    Returns:
      parentCatalogId int

  - ### setParentCatalogId

    public void setParentCatalogId(int parentCatalogId)
    Sets the parent catalog id as specified.
    Parameters:
      `parentCatalogId` - int

  - ### getCatalogName

    public String getCatalogName()
    Returns the catalog Name.
    Returns:
      catalogName String

  - ### setCatalogName

    public void setCatalogName(String catalogName)
    Sets the catalog Name as specified.
    Parameters:
      `catalogName` - String

  - ### getDescription

    public String getDescription()
    Returns the description of the catalog.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the description of the catalog as specified.
    Parameters:
      `description` - String

  - ### getCatalogTypeId

    public int getCatalogTypeId()
    Returns the catalog type id.
    Returns:
      catalogTypeId int

  - ### setCatalogTypeId

    public void setCatalogTypeId(int catalogTypeId)
    Sets the catalog type id as specified.
    Parameters:
      `catalogTypeId` - int

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory details of the catalog.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getBusinessObjects

    public List<BusinessObject> getBusinessObjects()

  - ### setBusinessObjects

    public void setBusinessObjects(List<BusinessObject> businessObjects)

  - ### setFieldValue

    public void setFieldValue(String name, Object value)
    Sets the field value(extended property) of the business object as specified.
    Parameters:
      `name` - String
      `value` - Object

  - ### getFieldValue

    public Object getFieldValue(String name)
    Return the field value(extended property) of the business object
    Parameters:
      `name` - String
    Returns:
      Object

  - ### getFields

    public Map<String,Object> getFields()
    Returns the fields(extended properties) of the business object
    Returns:
      fields Map

  - ### setFields

    public void setFields(Map<String,Object> fields)
    Sets the fields(extended properties) of the business object.
    Parameters:
      `fields` - Map.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`